Subject: socket library
From: [email-masked] (John Massingham)

7 Apr 1998 00:52:52 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="------------90FAACE84435A28EE58BCBDF"
To: GnuWin32 List <[email-masked]>

This is a multi-part message in MIME format.
--------------90FAACE84435A28EE58BCBDF
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Hi All,

I am trying to port a unix socket program to gnuwin32 (for test purposes this is essentially a
simple echo client/server)

The unix code is very simple but does make use of the socket library (libsocket.a) for which there
seems to be no equivilent in gnuwin32

can I get this library from anywhere and if so how, or do I have to use the libwsock32 library?

most of the functions seem to be in a file called net.cc but when this is compiled (and made into
libsocket.a) I get a whole bunch of errors relating to f_handler_base::xyz-function not defined

can anyone help?

cheers

John
--------------90FAACE84435A28EE58BCBDF
Content-Type: text/x-vcard; charset=us-ascii; name="vcard.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for John Massingham
Content-Disposition: attachment; filename="vcard.vcf"

begin:          vcard
fn:             John Massingham
n:              Massingham;John
org:            LSI Logic
adr:            Greenwood House;;London Road;Bracknell;Berkshire;RG12 2UB;England
email;internet: [email-masked]
title:          Senior Design Engineer
tel;work:       +44 1344 413194
tel;fax:        +44 1344 413296
x-mozilla-cpt:  ;0
x-mozilla-html: FALSE
version:        2.1
end:            vcard

--------------90FAACE84435A28EE58BCBDF--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".